FROM omop-in-a-baguette_synthea as synthea
FROM rocker/r-ubuntu:18.04 as omop-etl

RUN apt-get update && apt-get -y install libcurl4-openssl-dev libv8-3.14-dev default-jdk  r-cran-rjava

RUN R -e "install.packages(c('usethis', 'covr', 'httr', 'roxygen2', 'rversions', 'remotes'), repos='http://cran.rstudio.com/')"
RUN R -e "remotes::install_github('OHDSI/ETL-Synthea')"

COPY --from=synthea /opt/synthea /opt/synthea
COPY omop_etl.R /opt/
COPY data/athena_vocabularies/* /opt/vocabularies/

WORKDIR /opt/

CMD Rscript /opt/omop_etl.R